Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Interface CircumstanceListener

    public interface CircumstanceListener

Method Summary
`void` | `eventAdded(Event e)`
`void` | `intentionAdded(Intention i)`
`void` | `intentionDropped(Intention i)`
`void` | `intentionResumed(Intention i)`
`void` | `intentionSuspended(Intention i, java.lang.String reason)`

Method Detail

### eventAdded

    void eventAdded(Event e)

### intentionAdded

    void intentionAdded(Intention i)

### intentionDropped

    void intentionDropped(Intention i)

### intentionSuspended

    void intentionSuspended(Intention i,
                            java.lang.String reason)

### intentionResumed

    void intentionResumed(Intention i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD